{
  description = "Openbirch rust flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
    rust-overlay = {
      url = "github:oxalica/rust-overlay";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { self, nixpkgs, rust-overlay }:
    let
      # rust-overlay = import rust-overlay;
      pkgs = import nixpkgs
        {
          system = "x86_64-linux";
          overlays = [ rust-overlay.overlays.default ];
        };
    in
    {
      devShells.x86_64-linux.default = pkgs.mkShell {
        buildInputs = with pkgs;
          [
            rust-bin.nightly.latest.default
            rust-analyzer
          ];

        shell = ''
          echo "Hello from nix dev shell"
        '';
      };
    };
}
